Package org.gradle.api.artifacts

# Enum Class ResolutionStrategy.SortOrder

java.lang.Object
java.lang.Enum<ResolutionStrategy.SortOrder>
org.gradle.api.artifacts.ResolutionStrategy.SortOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<ResolutionStrategy.SortOrder>`, `Constable`

Enclosing interface:
  `ResolutionStrategy`

@Incubating public static enum ResolutionStrategy.SortOrder extends Enum<ResolutionStrategy.SortOrder>
Defines the sort order for components and artifacts produced by the configuration.

Since:
  3.5
See Also:
  - `ResolutionStrategy.sortArtifacts(SortOrder)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONSUMER_FIRST`
`DEFAULT`
`DEPENDENCY_FIRST`

## Method Summary

Modifier and Type
Method
Description
`static ResolutionStrategy.SortOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResolutionStrategy.SortOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final ResolutionStrategy.SortOrder DEFAULT

### CONSUMER_FIRST

public static final ResolutionStrategy.SortOrder CONSUMER_FIRST

### DEPENDENCY_FIRST

public static final ResolutionStrategy.SortOrder DEPENDENCY_FIRST

## Method Details

### values

public static ResolutionStrategy.SortOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResolutionStrategy.SortOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null